import request from '@/utils/request'

// 查询商品服务列表
export function listGoodsService(query) {
  return request({
    url: '/agri/goodsService/list',
    method: 'get',
    params: query
  })
}

// 查询商品服务详情
export function getGoodsService(serviceId) {
  return request({
    url: '/agri/goodsService/' + serviceId,
    method: 'get'
  })
}

// 新增商品服务
export function addGoodsService(data) {
  return request({
    url: '/agri/goodsService',
    method: 'post',
    data: data
  })
}

// 修改商品服务
export function updateGoodsService(data) {
  return request({
    url: '/agri/goodsService',
    method: 'put',
    data: data
  })
}

// 删除商品服务
export function delGoodsService(serviceIds) {
  return request({
    url: '/agri/goodsService/' + serviceIds,
    method: 'delete'
  })
}
